seo:
  title: 'Our 3rd annual bug bounty contest: the swagtastic sequel to the sequel'
  description: >-
    We’re running a bug bounty contest November 1 thru December 3. Find a bug
    and be entered to win some sweet custom swag. What’s better than a contest?
    Increased bounty ranges!
  ogTitle: 'Our 3rd annual bug bounty contest: the swagtastic sequel to the sequel'
  ogDescription: >-
    We’re running a bug bounty contest November 1 thru December 3. Find a bug
    and be entered to win some sweet custom swag. What’s better than a contest?
    Increased bounty ranges!
  noIndex: false
  ogImage: images/blog/hero-images/BB-3rd-Anniversary-blog-header.png
  ogUrl: https://about.gitlab.com/blog/3rd-annual-bug-bounty-contest
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/3rd-annual-bug-bounty-contest
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Our 3rd annual bug bounty contest: the swagtastic sequel to the sequel",
            "author": [{"@type":"Person","name":"Heather Simpson"}],
            "datePublished": "2021-11-01",
          }

content:
  title: 'Our 3rd annual bug bounty contest: the swagtastic sequel to the sequel'
  description: >-
    We’re running a bug bounty contest November 1 thru December 3. Find a bug
    and be entered to win some sweet custom swag. What’s better than a contest?
    Increased bounty ranges!
  authors:
    - Heather Simpson
  heroImage: images/blog/hero-images/BB-3rd-Anniversary-blog-header.png
  date: '2021-11-01'
  body: >
    Our favorite time of the year is here! That time of year when we *try* to
    pause 😅 , reflect, and look back at the year’s accomplishments 🙌 .  


    For our [Application
    Security](/handbook/security/security-engineering/application-security/)
    group here at GitLab, this means we’re looking back on the efforts we’ve
    made to secure the GitLab application. A big part of securing our product
    comes from the contributions of extremely talented bug bounty hunters across
    the globe who work year round to seek and identify bugs in our platform. So
    far this year we had 670 submissions from 359 different reporters.


    Thank you to everyone who has contributed this year via our [HackerOne
    program](https://hackerone.com/gitlab). 


    ## 🎉 Increased bounties across all bounty ranges 🎉


    **New!** _Updated November 22, 2021_ We value the innovative and hugely
    impactful contributions made by security researchers through our bug bounty
    program and want to ensure we’re competitively rewarding and recognizing
    those contributions. Because of this, we’re raising our bounties for new
    reports submitted after 16:00 UTC November 22, 2021.


    | **Critical** | **High** | **Medium** | **Low** |

    |:-----------:|:-----------:|:-----------:|:-----------:|

    | $20,000 - $35,000 | $5,000 - $15,000 | $1,000 - $2500 | $100 - $750 |


    ### Standardizing bounty calculations

    Also of note, we’re working to further standardize the way we calculate both
    severities and bounties with our new [CVSS
    calculator](https://gitlab-com.gitlab.io/gl-security/appsec/cvss-calculator/)
    developed by Application Security team member, [Michael
    Henriksen](/company/team/#mhenriksen). This calculator allows us to be more
    transparent and consistent in our award process. We plan to dive deeper into
    our [HackerOne
    process](/handbook/security/security-engineering/application-security/runbooks/hackerone-process.html)
    and [CVSS-based scoring
    method](/handbook/security/security-engineering/application-security/runbooks/cvss-calculation.html)
    in a blog next quarter.


    And, to celebrate our bug bounty hunting community and our [third year as a
    public bug bounty
    program](/blog/2018/12/12/gitlab-hackerone-bug-bounty-program-is-public-today/),
    we’re holding a Bug Bounty contest starting November 1 until December 3,
    2021!


    ## <i class="fab fa-gitlab fa-fw" style="color:rgb(252,109,38);
    font-size:.99em" aria-hidden="true"></i>  <i class="fas fa-birthday-cake"
    style="color:rgb(107,79,187); font-size:.99em" aria-hidden="true"></i> 
    Three-year anniversary hacking contest <i class="fab fa-gitlab fa-fw"
    style="color:rgb(107,79,187); font-size:.99em" aria-hidden="true"></i>  <i
    class="fas fa-bug" style="color:rgb(252,109,38); font-size:.99em"
    aria-hidden="true"></i>

    {: .text-center} 

    \

    \

    **Our community hacking contest kicks off November 1 at 4 am UTC and closes
    on December 3, 2021 at 4 pm UTC. Just find and report a bug to our
    [HackerOne bug bounty program](https://hackerone.com/gitlab) and you're
    entered to win.**  The top contributor in the following categories will
    receive a sweet piece of custom GitLab swag:  


    <i class="fas fa-address-card fa-fw" style="color:rgb(46,46,46);
    font-size:.95em" aria-hidden="true"></i> **Most reputation points from
    submissions to our program.** Collect the most reputation points from
    submissions to our program and win!

    {: #id-card-black}


    <i class="far fa-address-card fa-fw" style="color:rgb(56,13,117);
    font-size:.95em" aria-hidden="true"></i> **Most reputation points *collected
    by a reporter new to our program***. Getting started with a new bug bounty
    program is difficult. This one goes out to all the new reporters out there.

    {: #id-card-purple}


    <i class="fas fa-pencil-alt fa-fw" style="color:rgb(219,58,33);
    font-size:.95em" aria-hidden="true"></i> **Best written report.** See above.
    A well-written report goes a long way to demonstrate impact and to help us
    reproduce the problem efficiently and accurately.

    {: #id-pencil}


    <i class="far fa-lightbulb fa-fw" style="color:rgb(252,161,33);
    font-size:.95em" aria-hidden="true"></i> **Most innovative report.**
    Sometimes reporters demonstrate true out-of-the-box thinking in their
    approach to finding bugs. We appreciate this creativity.

    {: #id-lightbulb}


    <i class="fas fa-rocket fa-fw" style="color:rgb(252,109,38);
    font-size:.95em" aria-hidden="true"></i> **Most impactful finding.** At the
    end of the day, these high-risk, high-reward vulnerabilities are what we’re
    all looking for.

    {: #id-rocket} 


    **The winners will be announced on Dec. 14, 2021 via a [GitLab blog](/blog/)
    post and on [Twitter](https://twitter.com/gitlab).** A contributor can win
    at most one category. Of course, regular bounties still apply to any of your
    findings.   


    ## Need some inspiration? 


    We release new features on the 22nd of every month. Might we suggest
    [learning more about our release process](/releases/) and checking out the
    latest [monthly release blog post](/releases/categories/releases/) for some
    inspiration? 😉


    You can get tips on what our team looks for in bug bounty reports, by
    reading [“Our top tips for better bug bounty
    reports“](/blog/2020/09/28/top-tips-for-better-bug-bounty-reports-and-a-hacker-contest/).


    ### Learn from some of the best


    👉  In our blog, Riccardo Padovani, [@rpadovani on
    HackerOne](https://hackerone.com/rpadovani?type=user), shared [advice they’d
    give someone looking to start participating as a researcher in a bug bounty
    program](/blog/2020/11/10/rpadovani-ask-a-hacker/#what-advice-would-you-give-someone-looking-to-start-participating-as-a-researcher-in-a-bug-bounty-program).   


    > Take note of features that are interesting to you. Keep notes where you
    can review what you have already done, and what you have already found. This
    will be useful if you step away and come back to a target. It takes time and
    it takes luck. Do not leave your day job until you are well on your way, and
    remember to set aside some money to pay your taxes when they are due!


    🔎  In this clip from his [GitLab AMA](https://youtu.be/SK_vuZCafZ4),
    Riccardo talks about how he approaches bug hunting on GitLab.   


    <!-- blank line -->

    <figure class="video_container">
      <iframe src="https://www.youtube.com/embed/XRBeYXb9IlA" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>

    <!-- blank line -->


    ⏱  In this clip from his [GitLab AMA](https://youtu.be/Km6toD6CAAw), Alex
    Chapman, [@ajxchapman on
    HackerOne](https://hackerone.com/ajxchapman?type=user), talks about how he
    efficiently and effectively fits bug bounty hunting in with all of life’s
    other priorities. You can learn more about his approach in our blog post,
    [“How do bug bounty hunters use GitLab to help their
    hack?“](/blog/2021/06/11/how-i-use-gitlab-to-help-my-hack/).  


    <!-- blank line -->

    <figure class="video_container">
      <iframe src="https://www.youtube.com/embed/hECvkY6LnUU" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>

    <!-- blank line -->


    👀  See how William Bowling, [@vakzz on
    HackerOne](https://hackerone.com/vakzz), responded to a question around how
    he chooses which programs and features he’ll focus his bug bounty hunting
    efforts on in a [recent GitLab AMA](https://youtu.be/kw168DGAILk).  


    <!-- blank line -->

    <figure class="video_container">
      <iframe src="https://www.youtube.com/embed/eDwnTmuWFsE" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>

    <!-- blank line -->


    🕵️  And, check out this video to see what top bug bounty hunter,
    contributor, and GitLab alumni, Ron Chan,
    ([@ngalog](https://hackerone.com/ngalog?type=user) on HackerOne) shares as
    his [“Secret to finding critical security issues on
    GitLab”](https://www.youtube.com/watch?v=5ORBcUo1jqY)? 


    *If you’re wondering what the custom GitLab swag might be you can check out
    [2020’s giveaway (and the
    winners)](/blog/2020/12/14/twenty-twenty-through-a-bug-bounty-lens/) and
    peep [what we gave away in 2019, and who
    won](/blog/2019/12/12/bugs-bounties-and-cherry-browns/). Know that we want
    you to contribute in style.* 😎  


    Happy hacking!
  category: Security
  tags:
    - security
    - bug bounty
config:
  slug: 3rd-annual-bug-bounty-contest
  featured: false
  template: BlogPost
